#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include "libschremote.h"

#define FIRST_RELAY_PIN 8

int main(int argc, char *argv[])
  {
  SR_HANDLE srh;
  int relay;
  
  if (argc < 3)
    {
    printf("Ussage SrRelay <ip> <relay 1-4> <on|off>");
    return 0;
    }
  
  srh = sr_open_eth(argv[1]);
  if (!srh)
    {
    printf("Failed to allocate a handle\n");
    return 0;
    }
  
  relay = atoi(argv[2]);
  if (relay < 1 || relay > 4)
    {
    printf("Invalid relay number\n");
    return 0;
    }
  
  if (stricmp(argv[3], "on") == 0)
    {
    printf("Relay %d ON: ", relay);
    if (!sr_pin_setup(srh, FIRST_RELAY_PIN + relay-1, sr_pt_dout_high)) printf("FAIL\n");
    else printf("OK\n");
    }
  else //assume off
    {
    printf("Relay %d OFF: ", relay);
    if (!sr_pin_setup(srh, FIRST_RELAY_PIN + relay-1, sr_pt_dout_low)) printf("FAIL\n");
    else printf("OK\n");
    }
  }
